summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTaijian2019-04-16 15:45:31 +0200
committerTaijian2019-04-16 15:45:31 +0200
commit7efb7498335f312df7fa923b48126499c8f034f7 (patch)
tree7bc4110d413136b9a6b7f4f6aae90d988366a873 /PKGBUILD
parentf62410011cb92a9452b635771e20645b542f278c (diff)
downloadaur-7efb7498335f312df7fa923b48126499c8f034f7.tar.gz
add some new patches queued for 30.1
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD21
1 files changed, 17 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index cf164167307..38a8a04aff0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,7 +14,7 @@ pkgname=('mythplugins-mytharchive'
'mythplugins-mythweb'
'mythplugins-mythzoneminder')
pkgver=30.0
-pkgrel=3
+pkgrel=4
epoch=1
arch=('x86_64')
url="http://www.mythtv.org"
@@ -22,13 +22,17 @@ license=('GPL')
makedepends=('dvdauthor' 'dvd+rw-tools' 'ffmpeg' 'libexif' 'mesa-libgl' "mythtv=$epoch:$pkgver"
'perl-datetime-format-iso8601' 'perl-date-manip' 'perl-image-size' 'perl-cgi'
'perl-json' 'perl-libwww' 'perl-soap-lite' 'perl-xml-simple' 'perl-xml-xpath' 'libhdhomerun'
- 'python2-pillow' 'python2-pycurl' 'python2-oauth' 'gdb' 'libmariadbclient' 'minizip'
+ 'python2-pillow' 'python2-pycurl' 'python2-oauth' 'gdb' 'mariadb-libs' 'minizip'
'python2-lxml' 'mysql-python' 'urlgrabber' 'python2-future' 'perl-xml-xpath')
source=("mythtv-$pkgver.tar.gz::https://github.com/MythTV/mythtv/archive/v$pkgver.tar.gz"
"mythweb-$pkgver.tar.gz::https://github.com/MythTV/mythweb/archive/v$pkgver.tar.gz"
+ '001-mythwebcount.patch'
+ '002-mythweb.patch'
)
sha256sums=('7f7ae9b8927659616f181afc12d7ddc26b0a4b0d13982e2586985f4770640b43'
- 'b0569bdd6f5e6fed959d98ff883912142da42e3ee6ea3984ece116f09a5dc01c')
+ 'b0569bdd6f5e6fed959d98ff883912142da42e3ee6ea3984ece116f09a5dc01c'
+ '5761623dfcd36ecde723ca1b350f650c13a7d58f8107d4a88f6b0e3888df41d3'
+ '86792ef1249df2b679431466312b3654f276aabb96791edf87ba41946cea67c1')
prepare() {
cd "$srcdir/mythtv-$pkgver/$pkgbase"
@@ -37,6 +41,15 @@ prepare() {
cd "$srcdir/mythweb-$pkgver"
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
sed -re 's@/usr/local.*/usr/share@/usr/share@' -i 'mythweb.php'
}
@@ -130,7 +143,7 @@ package_mythplugins-mythweb() {
package_mythplugins-mythzoneminder() {
pkgdesc="View CCTV footage from zoneminder in MythTV"
- depends=('mythtv' 'libmariadbclient' 'zoneminder')
+ depends=('mythtv' 'mariadb-libs' 'zoneminder')
cd "$srcdir/mythtv-$pkgver/$pkgbase/mythzoneminder"
make INSTALL_ROOT="$pkgdir" install